Bug 458529 - Segfault when editing Psi appearance options
Segfault when editing Psi appearance options
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-08-09 09:12 EDT by Andrew Parker
Modified: 2008-09-03 11:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 11:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Parker 2008-08-09 09:12:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):
psi-0.11-5.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.  Go to menu "Options"
2.  Click on "Appearance"
3.
  
Actual results:
SIGSEGV

Expected results:


Additional info:
Here's what I get when I run it through gdb:

Program received signal SIGSEGV, Segmentation fault.  
0x08359ab8 in ?? ()                                   
(gdb) bt                                              
#0  0x08359ab8 in ?? ()                               
#1  0x08359e0c in ?? ()                               
#2  0x05d95330 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#3  0x05d960b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#4  0x066a9183 in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
#5  0x066ab092 in ?? () from /usr/lib/libQtGui.so.4                        
#6  0x066ab1e7 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4   
#7  0x08359daf in ?? ()                                                    
#8  0x05d95330 in QMetaObject::activate () from /usr/lib/libQtCore.so.4    
#9  0x05d960b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4    
#10 0x066a1dd3 in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4   
#11 0x066a6a8a in QTabBar::setCurrentIndex () from /usr/lib/libQtGui.so.4  
#12 0x066a837a in QTabBar::insertTab () from /usr/lib/libQtGui.so.4        
#13 0x066aac97 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4     
#14 0x066aad19 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4     
#15 0x066aad83 in QTabWidget::addTab () from /usr/lib/libQtGui.so.4        
#16 0x083595bb in ?? ()                                                    
#17 0x083596ca in ?? ()                                                    
#18 0x0835b903 in ?? ()                                                    
#19 0x0835bc9c in ?? ()                                                    
#20 0x0835dcc4 in ?? ()                                                    
#21 0x05d95330 in QMetaObject::activate () from /usr/lib/libQtCore.so.4    
#22 0x05d960b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4    
#23 0x07517413 in Q3ListView::selectionChanged ()                          
   from /usr/lib/libQt3Support.so.4                                        
#24 0x0739c973 in Q3ListView::setCurrentItem ()                            
   from /usr/lib/libQt3Support.so.4                                        
#25 0x073a5c9e in Q3ListView::contentsMousePressEventEx ()                 
   from /usr/lib/libQt3Support.so.4                                        
#26 0x073a6584 in Q3ListView::contentsMousePressEvent ()                   
   from /usr/lib/libQt3Support.so.4
---Type <return> to continue, or q <return> to quit---
#27 0x074039f1 in Q3ScrollView::viewportMousePressEvent ()
   from /usr/lib/libQt3Support.so.4
#28 0x074055d0 in Q3ScrollView::eventFilter () from /usr/lib/libQt3Support.so.4
#29 0x073a0ec6 in Q3ListView::eventFilter () from /usr/lib/libQt3Support.so.4
#30 0x05d7f8fa in QCoreApplicationPrivate::sendThroughObjectEventFilters ()
   from /usr/lib/libQtCore.so.4
#31 0x062a52ba in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#32 0x062adad1 in QApplication::notify () from /usr/lib/libQtGui.so.4
#33 0x05d8070f in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#34 0x062acd8e in QApplicationPrivate::sendMouseEvent ()
   from /usr/lib/libQtGui.so.4
#35 0x06316be6 in ?? () from /usr/lib/libQtGui.so.4
#36 0x06315f7d in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#37 0x0633e34a in ?? () from /usr/lib/libQtGui.so.4
#38 0x009b2381 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x009b5a23 in ?? () from /lib/libglib-2.0.so.0
#40 0x009b5be1 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#41 0x05daad48 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#42 0x0633da45 in ?? () from /usr/lib/libQtGui.so.4
#43 0x05d7edda in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#44 0x05d7ef9a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#45 0x05d81655 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#46 0x062a5157 in QApplication::exec () from /usr/lib/libQtGui.so.4
#47 0x0839b3f4 in ?? ()
#48 0x007996e5 in __libc_start_main () from /lib/libc.so.6
#49 0x0807a4b1 in QWidget::setUpdatesEnabled ()
(gdb)
Comment 1 Andrew Parker 2008-08-10 17:47:31 EDT
With debuginfo installed:

Program received signal SIGSEGV, Segmentation fault.
OptionsTabWidget::updateCurrent (this=0x8bc58d0, w=0x87dc9f8) at options/optionstab.cpp:168
168                     QWidget *tab = opttab->widget();
Comment 2 Andrew Parker 2008-09-03 11:12:22 EDT
This no longer happens with the latest release (psi-0.12-1.fc10)

Note You need to log in before you can comment on or make changes to this bug.